---

inputType: "CA10__CaGoogleSqlInstance__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10__CaGoogleSqlInstance__c/object.extracts.yaml
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "This is not a SQL Server database instance."
    check:
      NOT:
        arg:
          CONTAINS:
            arg:
              EXTRACT: "CA10__databaseVersion__c"
            substring:
              TEXT: "SQLSERVER" 
  - status: "COMPLIANT"
    currentStateMessage: "Database flag 3625 (trace flag) is set to on."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "caExtract_databaseFlags_3625_flagValue__c"
        right:
          TEXT: "on"
otherwise:
  status: "INCOMPLIANT"
  currentStateMessage: "3625 (trace flag) database flag isn't set to on."
  remediationMessage: "Set 3625 (trace flag) database flag to on."